Subject: bug#74145: 31.0.50; Default lexical-binding to t

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Feb 2025 09:52:03 -0500

> I said "objections and suggestions".  I meant these:
>
>   https://lists.gnu.org/archive/html/emacs-devel/2025-01/msg00531.html
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74145#57
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74145#60

These are about changing the default, which is not what the patch
I pushed does.

>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74145#36

The patch I pushed does not include this change.

The patch I pushed does not close this issue at all.
It only contains the small subset of my original patch for which I did
not see any objections!

I wrote "I feel like I'm missing something", but I'm starting to think
that you're the one who missed the fact that the patch I pushed is not
the one you think.

        Stefan